unit Uniform;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DBTables, ExtCtrls, DBCtrls, Grids, DBGrids, DB;

type
  TUniqKeyForm = class(TForm)
    Database1: TDatabase;
    BookDataSource: TDataSource;
    BookTable: TTable;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    NewBookIdStoredProc: TStoredProc;
    procedure BookTableAfterInsert(DataSet: TDataset);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  UniqKeyForm: TUniqKeyForm;

implementation

{$R *.DFM}

procedure TUniqKeyForm.BookTableAfterInsert(DataSet: TDataset);
begin
  NewBookIdStoredProc.ExecProc;
  BookTable.FieldByName( 'BookId' ).AsInteger :=
    NewBookIdStoredProc.ParamByName( 'TheNewBookId' ).AsInteger;
end;

end.
